---
inputType: "CA10__CaAwsElasticsearchDomain__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsElasticsearchDomain__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "A new service software update is available for the OpenSearch domain."
    remediationMessage: "Consider installing the latest compatible service software\
      \ update for the OpenSearch domain to get the latest features, security patches, and bug fixes."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__serviceSoftwareUpdateAvailable__c"
        right:
          TEXT: "false"
  - status: "COMPLIANT"
    currentStateMessage: "The OpenSearch domain is running the latest service software version."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__serviceSoftwareUpdateAvailable__c"
        right:
          TEXT: "true"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."